include("UniqueDiplomacyUtilsV3RENAME.lua")

local sLeaderWashington = "LEADER_WASHINGTON" --For Debugging

local sLeaderCelica = "LEADER_LA_CELICA"
local sLeaderZephiel = "LEADER_ZEPHIEL"
local sLeaderMarthipan = "LEADER_KIANG_MARTHIPAN"
local sLeaderNarcian = "LEADER_NARCIAN"
local sLeaderMichalis = "LEADER_MICHALIS"
local sLeaderHector = "LEADER_HECTOR"
local sLeaderJill = "LEADER_JILL"
local sLeaderAshnard = "LEADER_KIANG_ASHNARD"
local sLeaderMicaiah = "LEADER_MICAIAH"
local sLeaderElincia = "LEADER_KIANG_ELINCIA"
local sLeaderCaineghis = "LEADER_CAINEGHIS"
local sLeaderTibarn = "LEADER_TIBARN"
local sLeaderNaesala = "LEADER_NAESALA"
local sLeaderReyson = "LEADER_REYSON"
local sLeaderLeanne = "LEADER_LEANNE"
local sLeaderDheginsea = "LEADER_DHEGINSEA"

function HaarUniqueResponses()
    
	print ("The Haar response routine is running!");
	local pActivePlayer = Players[Game.GetActivePlayer()]
	local sLeaderType = GameInfo.Leaders[pActivePlayer:GetLeaderType()].Type

	 if (sLeaderType == sLeaderWashington) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_WASHINGTON_FIRSTGREETING%");
	end --if

		 if (sLeaderType == sLeaderCelica) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_CELICA_FIRSTGREETING%");
	end

	     if (sLeaderType == sLeaderZephiel) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_ZEPHIEL_FIRSTGREETING%");
	end --if

		 if (sLeaderType == sLeaderMarthipan) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_KIANG_MARTHIPAN_FIRSTGREETING%");
	end --if
    
         if (sLeaderType == sLeaderNarcian) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_NARCIAN_FIRSTGREETING%");
	end --if
   
         if (sLeaderType == sLeaderMichalis) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_MICHALIS_FIRSTGREETING%");
	end --if
   
         if (sLeaderType == sLeaderHector) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_HECTOR_FIRSTGREETING%");
	end --if
   
         if (sLeaderType == sLeaderJill) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_JILL_FIRSTGREETING%");
	end
		 if (sLeaderType == sLeaderJill) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_DEFEATED", "TXT_KEY_LEADER_HAAR_JILL_DEFEATED%");
	end

         if (sLeaderType == sLeaderAshnard) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_KIANG_ASHNARD_FIRSTGREETING%");
	end --if
	
	     if (sLeaderType == sLeaderMicaiah) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_MICAIAH_FIRSTGREETING%");
	end --if

        if (sLeaderType == sLeaderElincia) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_KIANG_ELINCIA_FIRSTGREETING%");
	end --if
        
        if (sLeaderType == sLeaderCaineghis) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_CAINEGHIS_FIRSTGREETING%");
	end --if

	    if (sLeaderType == sLeaderTibarn) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_TIBARN_FIRSTGREETING%");
	end --if

	    if (sLeaderType == sLeaderNaesala) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_NAESALA_FIRSTGREETING%");
	end --if

        if (sLeaderType == sLeaderReyson) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_REYSON_FIRSTGREETING%");
	end --if
			
        if (sLeaderType == sLeaderLeanne) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_LEANNE_FIRSTGREETING%");
	end --if

        if (sLeaderType == sLeaderDheginsea) then
	ChangeDiplomacyResponse("LEADER_HAAR", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_HAAR_DHEGINSEA_FIRSTGREETING%");
	end --if

end


for iPlayer = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
	local pPlayer = Players[iPlayer]
	if pPlayer ~= nil and pPlayer:IsAlive() and not pPlayer:IsHuman() and (pPlayer:GetCivilizationType() == GameInfo.Civilizations.CIVILIZATION_TALREGA.ID) then
		Events.SequenceGameInitComplete.Add(HaarUniqueResponses);
		break
	end
end